## gnome-shell-extension-top-icons-plus 15

=== Makefile ===
INSTALL_PATH = ~/.local/share/gnome-shell/extensions
INSTALL_NAME = TopIcons@phocean.net

install: build
	rm -rf $(INSTALL_PATH)/$(INSTALL_NAME)
	mkdir -p $(INSTALL_PATH)/$(INSTALL_NAME)
	cp -r _build/* $(INSTALL_PATH)/$(INSTALL_NAME)
	rm -rf _build
	echo Installed in $(INSTALL_PATH)/$(INSTALL_NAME)

build: compile-schema
	rm -rf _build
	mkdir _build
	cp -r schemas convenience.js extension.js metadata.json prefs.js README.md _build
	echo Build was successfull 

compile-schema: ./schemas/org.gnome.shell.extensions.topicons.gschema.xml
	glib-compile-schemas schemas

clean:
	rm -rf _build

=== debian/changelog ===
gnome-shell-extension-top-icons-plus (15-2) unstable; urgency=medium

  * d/watch: monitor tags on GitHub
  * Declare compatibility with 3.21.91

 -- Simon McVittie <smcv@debian.org>  Mon, 05 Sep 2016 10:16:14 +0100

gnome-shell-extension-top-icons-plus (15-1) unstable; urgency=medium

  * Initial package (Closes: #825761)

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Jul 2016 17:42:26 +0100

=== debian/control ===
Source: gnome-shell-extension-top-icons-plus
Section: gnome
Priority: optional
Maintainer: Simon McVittie <smcv@debian.org>
Build-Depends:
 debhelper (>= 9),
 libglib2.0-bin,
Standards-Version: 3.9.8
Homepage: https://github.com/phocean/TopIcons-plus
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gnome-shell-extension-top-icons-plus.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-top-icons-plus.git

Package: gnome-shell-extension-top-icons-plus
Architecture: all
Depends:
 gnome-shell (<< 3.21.92),
 gnome-shell (>= 3.16),
 ${misc:Depends},
Recommends:
 gnome-tweak-tool,
Description: GNOME Shell extension to move system tray icons to top bar
 This GNOME Shell extension alters how the Shell displays freedesktop.org
 system tray icons (status icons, notification-area icons). In the upstream
 GNOME Shell code, these icons appear in a small pop-out panel in the
 bottom left corner of the screen; this extension moves them to the
 top bar, between the clock and system menu.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gnome-shell-extension-top-icons-plus-$1\.tar\.gz/ \
https://github.com/phocean/TopIcons-plus/tags .*/archive/v?([0-9][0-9\.]*)\.tar\.gz

## gnome-shell-extension-top-icons-plus 17

=== debian/changelog ===
gnome-shell-extension-top-icons-plus (17-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 21 Sep 2016 22:21:50 +0100

gnome-shell-extension-top-icons-plus (15-3) unstable; urgency=medium

  * Rely on gnome-shell >= 3.21.92 having dropped version-checks
    by default (Closes: #837727)
    - Drop patch to metadata.json. It only declares compatibility with
      3.20, but that's OK because the version-check is disabled by
      default now.
    - Depends: gnome-shell (<< 3.23). This avoids using stretch versions
      of this extension with buster versions of GNOME Shell, since we
      can't predict whether it will be 100% compatible

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Sep 2016 09:01:14 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	make build

override_dh_auto_install:
	:

# ---------------------------------------------------------------------------

ORIG_REPO ?= https://github.com/phocean/TopIcons-plus

# If upstream ever uses tags, set ORIG_EXPORT to the tag
ORIG_VER := 15
ORIG_EXPORT := 1c158ee0a30d16866ae6e2703ff72df8b9e068b5

get-orig-source:
	test ! -e ${DEB_SOURCE}-${ORIG_VER}.git
	test ! -e ${DEB_SOURCE}_${ORIG_VER}.orig
	test ! -e ${DEB_SOURCE}_${ORIG_VER}.orig.tar.xz
	git clone --bare ${ORIG_REPO} ${DEB_SOURCE}-${ORIG_VER}.git
	GIT_DIR=${DEB_SOURCE}-${ORIG_VER}.git git archive \
		--format=tar \
		--prefix=${DEB_SOURCE}-${ORIG_VER}.orig/ \
		${ORIG_EXPORT} | tar -xvf-
	rm -f ${DEB_SOURCE}-${ORIG_VER}.orig/schemas/gschemas.compiled
	LC_ALL=C TZ=UTC GIT_DIR=${DEB_SOURCE}-${ORIG_VER}.git git log ${ORIG_EXPORT} \
	       > ${DEB_SOURCE}-${ORIG_VER}.orig/ChangeLog
	tar --xz -cvf ${DEB_SOURCE}_${ORIG_VER}.orig.tar.xz ${DEB_SOURCE}-${ORIG_VER}.orig
	rm -rf ${DEB_SOURCE}-${ORIG_VER}.orig
	rm -rf ${DEB_SOURCE}-${ORIG_VER}.git

# to be invoked from a git checkout with upstream github as a remote;
# tarball ends up in ../build-area
maintainer-get-orig-source:
	$(MAKE) -f debian/rules get-orig-source ORIG_REPO=$$(pwd)/.git
	mv -i -v ${DEB_SOURCE}_${ORIG_VER}.orig.tar.xz ../build-area/
	@echo "try using:"
	@echo "gbp import-orig --debian-branch=debian/master --upstream-branch=upstream/latest --upstream-vcs-tag=${ORIG_EXPORT} ../build-area/${DEB_SOURCE}_${ORIG_VER}.orig.tar.xz"

## gnome-shell-extension-top-icons-plus 18

=== debian/changelog ===
gnome-shell-extension-top-icons-plus (18-1) unstable; urgency=medium

  * New upstream release
    - Explicitly declares compatibility with GNOME Shell 3.22 as used
      in stretch
  * Remove get-orig-source target from debian/rules, no longer necessary

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Jan 2017 22:22:43 +0000

## gnome-shell-extension-top-icons-plus 19

=== debian/changelog ===
gnome-shell-extension-top-icons-plus (19-1ubuntu1) zesty; urgency=medium

  * debian/control: Drop upper limit for compatible gnome-shell version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2017 11:06:54 -0500

gnome-shell-extension-top-icons-plus (19-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Jan 2017 23:36:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-shell-extension-top-icons-plus
 Section: gnome
 Priority: optional
-Maintainer: Simon McVittie <smcv@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Simon McVittie <smcv@debian.org>
 Build-Depends:
  debhelper (>= 9),
  libglib2.0-bin,
@@ -13,7 +14,6 @@
 Package: gnome-shell-extension-top-icons-plus
 Architecture: all
 Depends:
- gnome-shell (<< 3.21.92),
  gnome-shell (>= 3.16),
  ${misc:Depends},
 Recommends:

## gnome-shell-extension-top-icons-plus 20

=== debian/changelog ===
gnome-shell-extension-top-icons-plus (20-2ubuntu1) artful; urgency=medium

  * Drop maximum gnome-shell version dependency
  * Add adapt-to-gnome-shell-325a.patch, adapt-to-gnoem-shell-325b.patch:
    - Adapt to legacy system tray removal in GNOME Shell 3.26

 -- Jeremy Bicha <jbicha@ubuntu.coom>  Thu, 31 Aug 2017 06:46:36 -0400

gnome-shell-extension-top-icons-plus (20-2) unstable; urgency=medium

  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Jun 2017 16:14:08 +0100

gnome-shell-extension-top-icons-plus (20-1) experimental; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 10

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Mar 2017 08:42:05 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Simon McVittie <smcv@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  libglib2.0-bin,
 Standards-Version: 3.9.8
 Homepage: https://github.com/phocean/TopIcons-plus

## gnome-shell-extension-top-icons-plus 20+git20170827

=== Makefile ===
INSTALL_PATH = ~/.local/share/gnome-shell/extensions
INSTALL_NAME = TopIcons@phocean.net

install: build
	rm -rf $(INSTALL_PATH)/$(INSTALL_NAME)
	mkdir -p $(INSTALL_PATH)/$(INSTALL_NAME)
	cp -r --preserve=timestamps _build/* $(INSTALL_PATH)/$(INSTALL_NAME)
	rm -rf _build
	echo Installed in $(INSTALL_PATH)/$(INSTALL_NAME)

build: compile-schema
	rm -rf _build
	mkdir _build
	cp -r --preserve=timestamps schemas convenience.js extension.js metadata.json prefs.js README.md _build
	echo Build was successfull 

compile-schema: ./schemas/org.gnome.shell.extensions.topicons.gschema.xml
	glib-compile-schemas schemas

clean:
	rm -rf _build

uninstall:
	rm -rf $(INSTALL_PATH)/$(INSTALL_NAME)

=== debian/changelog ===
gnome-shell-extension-top-icons-plus (20+git20170827-1) unstable; urgency=medium

  * New upstream snapshot, compatible with GNOME Shell 3.26 betas
  * Relax upper limit on GNOME Shell version to (<< 3.27)
  * Use https URL for debian/copyright Format
  * Declare compliance with Debian Policy 4.1.0

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Sep 2017 10:23:39 +0100

## gnome-shell-extension-top-icons-plus 21

=== Makefile ===
--- 
+++ 
@@ -11,8 +11,8 @@
 build: compile-schema
 	rm -rf _build
 	mkdir _build
-	cp -r --preserve=timestamps schemas convenience.js extension.js metadata.json prefs.js README.md _build
-	echo Build was successfull 
+	cp -r --preserve=timestamps locale schemas convenience.js extension.js metadata.json prefs.js README.md _build
+	echo Build was successful 
 
 compile-schema: ./schemas/org.gnome.shell.extensions.topicons.gschema.xml
 	glib-compile-schemas schemas

=== debian/changelog ===
gnome-shell-extension-top-icons-plus (21-4) unstable; urgency=medium

  * Patch in minimal compatibility with GNOME Shell 3.29
  * Relax upper limit on GNOME Shell version to (<< 3.31)

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Aug 2018 16:42:10 +0100

gnome-shell-extension-top-icons-plus (21-3) unstable; urgency=medium

  * Recommend gnome-tweaks, renamed from gnome-tweak-tool
  * Add a note that the extension needs to be enabled per-user, with
    the wording I used for other GNOME Shell extensions
  * Relax upper limit on GNOME Shell version to (<< 3.29)

 -- Simon McVittie <smcv@debian.org>  Sun, 25 Feb 2018 17:19:22 +0000

gnome-shell-extension-top-icons-plus (21-2) unstable; urgency=medium

  * Declare Debian Policy 4.1.3 compliance (no changes required)
  * Update Vcs-* for move to salsa.debian.org

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Jan 2018 10:05:53 +0000

gnome-shell-extension-top-icons-plus (21-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Use dversionmangle to ignore +git* suffix if used again
  * d/watch: Use @PACKAGE@ and other placeholders

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Sep 2017 09:37:18 +0100

=== debian/control ===
Source: gnome-shell-extension-top-icons-plus
Section: gnome
Priority: optional
Maintainer: Simon McVittie <smcv@debian.org>
Build-Depends:
 debhelper (>= 10),
 libglib2.0-bin,
Standards-Version: 4.1.3
Homepage: https://github.com/phocean/TopIcons-plus
Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-top-icons-plus.git
Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-top-icons-plus

Package: gnome-shell-extension-top-icons-plus
Architecture: all
Depends:
 gnome-shell (<< 3.31),
 gnome-shell (>= 3.16),
 ${misc:Depends},
Recommends:
 gnome-tweaks,
Description: GNOME Shell extension to move system tray icons to top bar
 This GNOME Shell extension alters how the Shell displays freedesktop.org
 system tray icons (status icons, notification-area icons). In the upstream
 GNOME Shell code, these icons appear in a small pop-out panel in the
 bottom left corner of the screen; this extension moves them to the
 top bar, between the clock and system menu.
 .
 Please note that each user will need to enable the extension manually, for
 example using the gnome-tweaks application.

## gnome-shell-extension-top-icons-plus 22

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	rm -rf _build
 	mkdir _build
 	cp -r --preserve=timestamps locale schemas convenience.js extension.js metadata.json prefs.js README.md _build
-	echo Build was successful 
+	echo Build was successful
 
 compile-schema: ./schemas/org.gnome.shell.extensions.topicons.gschema.xml
 	glib-compile-schemas schemas

=== debian/changelog ===
gnome-shell-extension-top-icons-plus (22-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Simon McVittie ]
  * Mark as compatible with GNOME 3.36

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Mar 2020 20:06:26 +0000

gnome-shell-extension-top-icons-plus (22-4) unstable; urgency=medium

  * Upload to unstable for the GNOME 3.34 transition
  * Standards-Version: 4.4.1 (no changes required)
  * Mark patches as applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Oct 2019 10:03:00 +0100

gnome-shell-extension-top-icons-plus (22-3) experimental; urgency=medium

  * Add patches from Hans de Goede to be compatible with GNOME Shell 3.34.
    Note that these changes break compatibility with older versions.

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Sep 2019 12:08:12 +0100

gnome-shell-extension-top-icons-plus (22-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * Standards-Version: 4.4.0 (no changes required)
  * Use debhelper compat level 12
  * d/rules: Remove obsolete get-orig-source target
  * d/p/Fix-shell-stack-trace-when-removing-icon.patch:
    Add patch from upstream to fix assertion messages when a destroyed
    object is destroyed again

  [ Jeremy Bicha ]
  * Bump max gnome-shell version to (<< 3.33)

 -- Simon McVittie <smcv@debian.org>  Tue, 23 Jul 2019 10:24:32 +0100

gnome-shell-extension-top-icons-plus (22-1) unstable; urgency=medium

  * New upstream release (Closes: #912242)
    - Drop GNOME Shell 3.30 compatibility patch, obsoleted by similar
      upstream change
  * Vcs-*: Move to GNOME Team shell-extensions subgroup
  * Add the GNOME Team to Uploaders (team uploads welcome)
  * d/docs: Install README.md
  * Set Rules-Requires-Root to no
  * Standards-Version: 4.2.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Oct 2018 09:41:24 +0000

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,21 @@
 Section: gnome
 Priority: optional
 Maintainer: Simon McVittie <smcv@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  libglib2.0-bin,
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: https://github.com/phocean/TopIcons-plus
-Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-top-icons-plus.git
-Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-top-icons-plus
+Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-top-icons-plus.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-top-icons-plus
+Rules-Requires-Root: no
 
 Package: gnome-shell-extension-top-icons-plus
 Architecture: all
 Depends:
- gnome-shell (<< 3.31),
- gnome-shell (>= 3.16),
+ gnome-shell (<< 3.37),
+ gnome-shell (>= 3.33.92),
  ${misc:Depends},
 Recommends:
  gnome-tweaks,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	make build

override_dh_auto_install:
	:

## gnome-shell-extension-top-icons-plus 27

=== Makefile ===
INSTALL_PATH = ~/.local/share/gnome-shell/extensions
INSTALL_NAME = TopIcons@phocean.net

all: build

install: build
	rm -rf $(INSTALL_PATH)/$(INSTALL_NAME)
	mkdir -p $(INSTALL_PATH)/$(INSTALL_NAME)
	cp -R -p _build/* $(INSTALL_PATH)/$(INSTALL_NAME)
	rm -rf _build
	echo Installed in $(INSTALL_PATH)/$(INSTALL_NAME)

build: compile-schema
	rm -rf _build
	mkdir _build
	cp -R -p locale schemas convenience.js extension.js metadata.json prefs.js README.md _build
	echo Build was successful

compile-schema: ./schemas/org.gnome.shell.extensions.topicons.gschema.xml
	glib-compile-schemas schemas

delivery: delivery
	rm -f TopIcons.zip
	zip --include '*.js' 'metadata.json' 'locale/*' 'schemas/*' --exclude '*_build*' '*.po' -r TopIcons.zip .

clean:
	rm -rf _build

uninstall:
	rm -rf $(INSTALL_PATH)/$(INSTALL_NAME)

=== debian/changelog ===
gnome-shell-extension-top-icons-plus (27-8) unstable; urgency=medium

  [ Jesús Soto ]
  * d/control, d/patches: Mark as compatible with gnome-shell 43
    (Closes: #1018282)

  [ Simon McVittie ]
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 09 Sep 2022 11:38:08 +0100

gnome-shell-extension-top-icons-plus (27-7) unstable; urgency=medium

  * Mark as compatible with GNOME Shell 42 (Closes: #1008559)

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Apr 2022 11:48:24 +0100

gnome-shell-extension-top-icons-plus (27-6) unstable; urgency=medium

  * d/watch: Update for Github website changes

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Feb 2022 11:05:48 +0000

gnome-shell-extension-top-icons-plus (27-5) unstable; urgency=medium

  * Add a deprecation warning.
    This extension is unsupported upstream and probably does not have a
    long-term future. gnome-shell-extension-appindicator is a
    better-supported alternative.
  * Declare compatibility with GNOME Shell 41 (Closes: #996073)
  * Recommend using gnome-extensions-app instead of g-s-extension-prefs

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Oct 2021 12:27:07 +0100

gnome-shell-extension-top-icons-plus (27-4) unstable; urgency=medium

  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Sep 2021 22:17:33 +0100

gnome-shell-extension-top-icons-plus (27-3) experimental; urgency=medium

  * Add patch for compatibility with GNOME 40 (Closes: #993062)
  * Standards-Version: 4.6.0 (no changes required)
  * Use debhelper compat level 13

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Aug 2021 10:34:20 +0100

gnome-shell-extension-top-icons-plus (27-2) unstable; urgency=medium

  * Allow installation with GNOME Shell 3.37.x/3.38.x

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Sep 2020 21:20:01 +0100

gnome-shell-extension-top-icons-plus (27-1) unstable; urgency=medium

  * New upstream release
    - Drop all patches, applied upstream
    - Update gnome-shell dependency

 -- Simon McVittie <smcv@debian.org>  Sun, 03 May 2020 10:24:02 +0100

=== debian/control ===
Source: gnome-shell-extension-top-icons-plus
Section: gnome
Priority: optional
Maintainer: Simon McVittie <smcv@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libglib2.0-bin,
Standards-Version: 4.6.1
Homepage: https://github.com/phocean/TopIcons-plus
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-top-icons-plus.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-top-icons-plus
Rules-Requires-Root: no

Package: gnome-shell-extension-top-icons-plus
Architecture: all
Depends:
 gnome-shell (<< 44~),
 gnome-shell (>= 40~),
 ${misc:Depends},
Recommends:
 gnome-shell-extension-appindicator,
 gnome-shell-extension-prefs,
Description: GNOME Shell extension to move system tray icons to top bar
 This GNOME Shell extension alters how the Shell displays freedesktop.org
 system tray icons (status icons, notification-area icons). In the upstream
 GNOME Shell code, these icons appear in a small pop-out panel in the
 bottom left corner of the screen; this extension moves them to the
 top bar, between the clock and system menu.
 .
 Please note that each user will need to enable the extension manually, for
 example using gnome-extensions-app, which is part of the
 gnome-shell-extension-prefs package.
 .
 This extension is unmaintained and will not necessarily work correctly.
 Similar functionality is available in the "Ubuntu AppIndicators" extension,
 available in the gnome-shell-extension-appindicator package.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@-$1$2/,dversionmangle=s/\+git[0-9.]+$// \
https://github.com/phocean/TopIcons-plus/tags .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@
